#' @title SoftEdgesEffect
#'
#' @description \url{https://openpyxl.readthedocs.io/en/stable/api/openpyxl.drawing.effect.html}
#'
#' @param rad rad
#' @param ... Additional arguments, i.e. kwargs.
#'
#' @return An openpyxl Python object.
#'
#' @examples
#' \dontrun{
#' SoftEdgesEffect(rad = 1L)
#' }
#'
#' @export
SoftEdgesEffect <- function(rad = NULL, ...) {

  py_obj <- openpyxl$drawing$effect$SoftEdgesEffect(
    rad = rad
  )

  # as of openpyxl docs, additional arguments ('**kw')
  kwargs <- list(...)
  for(i in seq_along(kwargs)) {
    name <- names(kwargs)[i]
    py_obj[[name]] <- kwargs[[i]]
  }

  return(py_obj)
}
